﻿###########################################################################################################################################################
<#
 
 Script de suppression d'Ofys pour GPO
 Par : Martin Trottier
 Compagnie : Les Logiciels Info-Data Inc.
 Date : 21 juin 2022
 UninstallOfys.ps1

 #>

<#

CRÉER UN NOUVEAU GPO VIA : CONFIGURATION UTILISATEUR | STRATÉGIES | PARAMÈTRES WINDOWS | SCRIPTS (OUVERTURE/FERMETURE DE SESSION) | FERMETURE DE SESSION
ET AJOUTER CE SCRIPT DANS L'ONGLET (SCRIPTS POWERSHELL). 

#>
###########################################################################################################################################################
Set-ExecutionPolicy -ExecutionPolicy Unrestricted -Scope Process -Force

$DesktopPath = [System.Environment]::GetFolderPath([System.Environment+SpecialFolder]::Desktop)
# Suppression du raccourci sur le bureau de l'utilisateur si présent
if (test-path $DesktopPath\ofys.lnk) {rm $DesktopPath\ofys.lnk -Force -ErrorAction SilentlyContinue}
# Suppression du répertoire d'ofys dans le profil de l'utilisateur si présent (Ancien répertoire d'installation par défaut)
if (test-path $env:USERPROFILE\ofys){rm $env:USERPROFILE\ofys -Recurse -Force -ErrorAction SilentlyContinue}
# Suppression du répertoire C:\infodata si présent 
if (test-path C:\infodata){rm C:\infodata -Recurse -Force -ErrorAction SilentlyContinue}